                 
                      MS2 microSchedule Release 2
 
                        Version 2.05  19-JUL-95
                         (286 instruction code)

                          SHAREWARE programme

                    (C) Copyright 1995 Arne Harren   
                          All rights reserved

                               - MANUAL -


                         -- Table Of Contents --

1.....................................WHAT IS MS2 - PURPOSE - FEATURES
2...............................................DISCLAIMER OF WARRANTY
3...............................................................SYNTAX
4...............................................THE VIRTUAL LAST LOGIN
5............................CREATING AND COMPILING A MESSAGE TEXTFILE
6...................................................DISTRIBUTION FILES
7...................REGISTRATION - LIMITATIONS TO AN UNREGISTERED COPY 




1 - WHAT IS MS2 - PURPOSE - FEATURES
------------------------------------

MS2 is a small utility to help you reminding your important dates.
Furthermore it offers the possibility to run other programmes in
combination with a certain date (e.g. a defrag tool, a virus scanner).
Normally placed in the autoexec.bat MS2 offers some kind of security
seal, which is broken if the size of the MS2.EXE file differs from the
original (possibly a virus infection), a file called MS2VIRUS.BAT will
be started.

Features :

  - warning texts, which will be shown one month before the date 
    is reached.
  - normal texts to be displayed at a certain date
  - forgotten message remembering

  - messages for exactly specified dates
  - yearly, monthly, weekly messages
  - messages for every day of the week

  - file execution (like batch files, etc.)

  - a primitive anti virus protection (primitive because this shouldn't
    be another virus scanner)
  


2 - DISCLAIMER OF WARRANTY
--------------------------

As a shareware programme, MS2 and its utilities are distributed as-is.
The author disclaims all warranties, expressed or implied. The author
will assume no liability for damages either from the direct use of this
product or as a consequence of it's use.



3 - SYNTAX
----------

General usage is :


   MS2 <textfile> <indexfile> [/option] [/option]


Where <textfile>  is the name of an ASCII MS2 message textfile
      <indexfile> is the name of the indexfile

Options are :

      /s      disables the screen-restoring after displaying 
              messages is finished.

      /v-     activates Virtual Last Login with the restriction that
              the file execution feature is only enabled for the
              first startup on every day.

      /v+     same as /v-, but files will be run at every startup.


Examples of calling MS2 :

-A-

   MS2 MYTEXT.TXT MYINDEX.IDX

will start microSchedule with a textfile called MYTEXT.TXT and the
corresponding indexfile called MYINDEX.IDX.

Notice : There are no instructions for naming your files, this offers
         the possibility to have different indexfiles (e.g. for
         different users) for the same textfile

If MYINDEX.IDX doesn't exist or the textfile has been changed, MS2 will
create a new index out of the textfile or simply update the old one.


-B-

   MS2 MYTEXT.TXT MYINDEX.IDX /v-

this is an examples of calling MS2 with enabled Virtual Last Login
feature.



4 - THE VIRTUAL LAST LOGIN
--------------------------

When calling MS2 without the /V+ or /V- option it will show the
messages only once a day. At every other startup it will stay
calm, because that last login was at the same day.

The Virtual Last Login is a way of telling MS2 to display the messages
since the last (real) login (of another day) at every startup. This is
reached by processing the last login as a virtual one, which means that
although you have more logins at the same day, MS2 uses the login of
the preceeding date. 



5 - CREATING AND COMPILING A MESSAGE TEXTFILE
---------------------------------------------

A MS2 message textfiles consists of date-sections, where each section
has the following structure :

#D<date>#F<file>#P<prio>
*<year> <warn text>
*<year> <warn text>
..
-<year> <normal text>
-<year> <normal text>
..


#D, * and - must appear in the beginning of a new line each!

A)  Available values for <date> are :
      YEAR        yearly messages
      MONT        monthly messages
      WEEK        weekly messages
      MOND        monday
      TUES        tuesday
      WEDN        wednesday
      THUR        thursday
      FRID        friday
      SATU        saturday
      SUND        sunday

      ddmm        where dd is the day and mm is the month
                  e.g.    0102  for  1st February
                       or 0311  for  3rd November

B)  <file> is the name of file, which will be called when <date> fits
    the current date. #F is possible in every #D section.

C)  <prio> is a priority for file selection, when more files suit the
    current date (e.g. each YEAR, MONT and FRID have a file 
    specification). 
    <prio> is number with a size of 2 characters.

    The file with the highest priority is chosen for execution.

D)  *<year><text> specifies a text which will appear at the certain day
    and one month before (* is called a warn text). 
    <year> is an optional 2 digit number specifying the year of
           appearance
    <text> shouldn't have a size longer than 66 characters

    examples:
            #D0101
            * This text will appear every year from 01-DEC to 01-JAN
            *95 This text will appear from 01-DEC-94 to 01-JAN-95
            *99 This text will appear from 01-DEC-98 to 01-JAN-99

    * Warnings aren't available in sections like MONT, WEEK, ... ,
    SATU, SUND.

E)  -<year><text> specifies a text which will only be shown at the
    current date.
    <year> is an optional 2 digit number specifying the year of
           appearance
    <text> shouldn't have a size longer than 66 characters

     examples:
            #D0101
            - This text will appear every year only on 01-JAN
            -95 This text will appear only on 01-JAN-95
            -99 This text will appear only on 01-JAN-99




Example for a textfile (EX_TEXT.TXT) :

#DMONT#FEX_MONTH.BAT#P10
-A new month. It's time for the EX_MONTH.BAT
#DWEEK#FEX_WEEK.BAT#P5
-A new week. It's time for EX_WEEK.BAT (only if it's not a new
-month, because EX_MONTH.BAT has a higher priority than
-EX_WEEK.BAT). Perhaps EX_WEEK.BAT backups your personal data
-or runs defrag,...
#D0101
*Warning New Year one month before.
-Now is New Year
#DMOND
-Today is Monday!!
#DFRID
-Today is Friday!
#D3101
*This is perhaps your birthday
#D1407
*This is perhaps the birthday of your best friend


For compiling a textfile called MYTEXT.TXT into the indexfile
MYINDEX.IDX simply type :

   MS2 MYTEXT.TXT MYINDEX.IDX

While compilation MS2 reports any errors or warnings to the user.
Perhaps you will have to edit your textfile again and rerun MS2 for
compiling your text.



6 - DISTRIBUTION FILES
----------------------

MS205.ZIP Contents :

   Name                  Size  Comment
   MS2      EXE        64.312  The main file
   MS2VIRUS BAT           866  AntiVirus Batchfile  
   MS2      DOC         8.556  This document
   REGISTER FRM         1.068  The Registration form
   EXAMPLE  BAT           216  An Example
   EX_TEXT  TXT           518  Files for EXAMPLE.BAT
   EX_MONTH BAT            42
   EX_WEEK  BAT            41
   EX_INDEX IDX         9.164



7 - REGISTRATION
----------------

If you like this program, and plan to use it, you may try it during
a 30 days period, after what you should register.

Registered users get a version of MS2 without any restrictions. 

If there is a new version of MS2 within one year after your
registration, I will send you that version for free.

The registration fee is DM 30,-- (dreissig Deutsche Mark, cash or 
check) for a single user.
Please contact me for a multi user arrangment.


Unregistered copies of MS2 have the following limitations:
 7 dates per textfile, 1 warning text per date, 3 file definitions


Please send your suggestions, bug-reports and registration forms to:

      Arne Harren
      Georg-Schipper-Str. 126a
      26388 Wilhelmshaven
      GERMANY





